svn commit: r250350 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Wed May 8 07:00:45 UTC 2013


Author: pho
Date: Wed May  8 07:00:44 2013
New Revision: 250350
URL: http://svnweb.freebsd.org/changeset/base/250350

Log:
  Added "FAIL" to a failed test and include a "ls" of the two files used.

Modified:
  user/pho/stress2/misc/sendfile.sh

Modified: user/pho/stress2/misc/sendfile.sh
==============================================================================
--- user/pho/stress2/misc/sendfile.sh	Wed May  8 06:59:07 2013	(r250349)
+++ user/pho/stress2/misc/sendfile.sh	Wed May  8 07:00:44 2013	(r250350)
@@ -51,7 +51,7 @@ for i in 1 2 3 4 8 16 1k 2k 3k 4k 5k 1m 
 	dd if=/dev/random of=$in bs=$i count=1 2>&1 | \
 		egrep -v "records|transferred"
 	/tmp/sendfile $in $out 12345
-	cmp $in $out || ls -l $in $out
+	cmp $in $out || { echo FAIL; ls -l $in $out; }
 	rm -f $in $out
 done
 rm -f /tmp/sendfile


More information about the svn-src-user mailing list